const express = require('express');
const router = express.Router();
const guard = require('../helpers/guard');
const controllers = require('../controllers/messages');
const validation = require('../validation/message');
const upload = require('../helpers/upload');

router
	.get('/', guard, controllers.listMessages)
	.post('/', guard, validation.sentMessage, controllers.sentMessage)
	.post(
		'/img/:companionId',
		[guard, upload.uploadImg.single('img'), validation.validateUploadFile],
		controllers.imgMessage
	);

router.get('/:companionId', guard, controllers.listMessagesById);

module.exports = router;
